Skip to main content
POST
/
sessions
/
{id}
/
start
Start a session
curl --request POST \
  --url https://api.example.com/sessions/{id}/start \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "session": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "room": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "host_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "host": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "external_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "email": "jsmith@example.com",
          "username": "<string>",
          "role": "host",
          "is_active": true,
          "created_at": "2023-11-07T05:31:56Z"
        },
        "library_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "title": "<string>",
        "description": "<string>",
        "analytics": {
          "google_tag_manager": {
            "container_id": "GTM-XXXXXX",
            "enabled": true
          }
        },
        "active_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "preset": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "library_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "type": "whip",
        "stage_enabled": true,
        "max_join_limit": 123,
        "chat_enabled": true,
        "poll_enabled": true,
        "viewer_count_visible": true,
        "primary_color": "<string>",
        "logo": "<string>",
        "logo_destination_url": "<string>",
        "host_add_co_host": true,
        "host_camera_enabled": true,
        "host_screen_share": true,
        "host_chat_send_text": true,
        "host_chat_send_file": true,
        "host_chat_receive_message": true,
        "host_poll_create": true,
        "host_poll_vote": true,
        "host_poll_view": true,
        "onstage_camera_enabled": true,
        "onstage_screen_share": true,
        "onstage_viewer_view": true,
        "audience_stage_join_request": true,
        "audience_can_see_participants": true,
        "audience_chat_send_text": true,
        "audience_chat_send_file": true,
        "audience_chat_receive_message": true,
        "audience_poll_create": true,
        "audience_poll_vote": true,
        "audience_poll_view": true,
        "moderator_manage_stage": true,
        "moderator_manage_chat": true,
        "moderator_manage_poll": true,
        "recording_enabled": true,
        "is_default": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "title": "<string>",
      "description": "<string>",
      "status": "scheduled",
      "mode": "webcam",
      "started_at": "2023-11-07T05:31:56Z",
      "ended_at": "2023-11-07T05:31:56Z",
      "duration": 123,
      "scheduled_start_time": "2023-11-07T05:31:56Z",
      "viewer_count": 123,
      "max_viewers": 123,
      "recording_enabled": true,
      "hls_url": "<string>",
      "chat_enabled_override": true,
      "stage_enabled_override": true,
      "max_join_limit_override": 123,
      "effective_chat_enabled": true,
      "effective_stage_enabled": true,
      "effective_max_join_limit": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    },
    "livekit_token": "<string>",
    "rtmp": {
      "ingress_id": "<string>",
      "url": "<string>",
      "stream_key": "<string>"
    },
    "rtmp_setup": {
      "server": "<string>",
      "stream_key": "<string>",
      "instructions": {
        "step1": "<string>",
        "step2": "<string>",
        "step3": "<string>"
      }
    },
    "whip_url": "<string>"
  },
  "timestamp": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

200 - application/json

Session started

success
boolean
Example:

true

data
object
timestamp
integer<int64>